Package skyview.executive

# Class BatchCompatibility

java.lang.Object
skyview.executive.BatchCompatibility

All Implemented Interfaces:
  `SettingsUpdater`

public class BatchCompatibility extends Object implements SettingsUpdater
This class transforms setting to enable compatibility between the old SkyView batch interface and the current Java application.

## Constructor Summary

Constructors
Constructor
Description
`BatchCompatibility()`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateSettings()`
Update the settings.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BatchCompatibility

public BatchCompatibility()

## Method Details

### updateSettings

public void updateSettings()
Update the settings.

Specified by:
  `updateSettings` in interface `SettingsUpdater`